{
  "type" : "record",
  "name" : "UserComment",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "comment",
    "type" : "string",
    "doc" : "Comment text"
  }, {
    "name" : "user",
    "type" : [ "null", {
      "type" : "record",
      "name" : "User",
      "fields" : [ {
        "name" : "userid",
        "type" : [ "null", "string" ],
        "doc" : "Azure Active Directory immutable user OID"
      }, {
        "name" : "email",
        "type" : "string",
        "doc" : "User email address"
      }, {
        "name" : "username",
        "type" : "string",
        "doc" : "Username"
      }, {
        "name" : "role",
        "type" : [ "null", "string" ]
      }, {
        "name" : "groups",
        "type" : [ "null", {
          "type" : "array",
          "items" : "string"
        } ]
      } ]
    } ],
    "doc" : "User who created comment"
  }, {
    "name" : "timestamp",
    "type" : [ "null", "string" ],
    "doc" : "Date and time comment was created (ISO 8601 datetime with seconds and timezone e.g. 2020-11-23T15:52:36+00:00)"
  } ]
}
